Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Highlighting.Emacs

Description

Functions which give precise syntax highlighting info to Emacs.

Synopsis

- lispifyHighlightingInfo :: HighlightingInfo -> RemoveTokenBasedHighlighting -> HighlightingMethod -> ModuleToSource -> IO (Lisp String)
- lispifyTokenBased :: TokenBased -> Lisp String

# Documentation

lispifyHighlightingInfo Source #

Arguments

:: HighlightingInfo |
-> RemoveTokenBasedHighlighting |
-> HighlightingMethod |
-> ModuleToSource | Must contain a mapping for every definition site's module.
-> IO (Lisp String) |

Turns syntax highlighting information into a list of S-expressions.

lispifyTokenBased :: TokenBased -> Lisp String Source #

Formats the `TokenBased` tag for the Emacs backend. No quotes are added.